"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.STATES = exports.SIGNALS = void 0;
var _reactNative = require("react-native");
// Imports internal constants defined within the native layer,
// and exports user-facing constants for server states.

// TODO: This repeats the native module import used in index.ts
// it should be split into a separate file.

// This selects between TurboModule and legacy RN library implementation.
const ReactNativeStaticServerModule = global.__turboModuleProxy ? require('./NativeReactNativeStaticServer').default : _reactNative.NativeModules.ReactNativeStaticServer;
const CONSTANTS = ReactNativeStaticServerModule.getConstants();
const SIGNALS = {
  CRASHED: CONSTANTS.CRASHED,
  LAUNCHED: CONSTANTS.LAUNCHED,
  TERMINATED: CONSTANTS.TERMINATED
};
exports.SIGNALS = SIGNALS;
let STATES;
exports.STATES = STATES;
(function (STATES) {
  STATES[STATES["ACTIVE"] = 0] = "ACTIVE";
  STATES[STATES["CRASHED"] = 1] = "CRASHED";
  STATES[STATES["INACTIVE"] = 2] = "INACTIVE";
  STATES[STATES["STARTING"] = 3] = "STARTING";
  STATES[STATES["STOPPING"] = 4] = "STOPPING";
})(STATES || (exports.STATES = STATES = {}));
//# sourceMappingURL=constants.js.map