// Imports internal constants defined within the native layer,
// and exports user-facing constants for server states.

// TODO: This repeats the native module import used in index.ts
// it should be split into a separate file.
import { NativeModules } from 'react-native';
// This selects between TurboModule and legacy RN library implementation.
const ReactNativeStaticServerModule = global.__turboModuleProxy ? require('./NativeReactNativeStaticServer').default : NativeModules.ReactNativeStaticServer;
const CONSTANTS = ReactNativeStaticServerModule.getConstants();
export const SIGNALS = {
  CRASHED: CONSTANTS.CRASHED,
  LAUNCHED: CONSTANTS.LAUNCHED,
  TERMINATED: CONSTANTS.TERMINATED
};
export let STATES;
(function (STATES) {
  STATES[STATES["ACTIVE"] = 0] = "ACTIVE";
  STATES[STATES["CRASHED"] = 1] = "CRASHED";
  STATES[STATES["INACTIVE"] = 2] = "INACTIVE";
  STATES[STATES["STARTING"] = 3] = "STARTING";
  STATES[STATES["STOPPING"] = 4] = "STOPPING";
})(STATES || (STATES = {}));
//# sourceMappingURL=constants.js.map